Package org.eclipse.m2m.atl.core.ant.tasks

## Class SaveModelTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask
      - - org.eclipse.m2m.atl.core.ant.tasks.SaveModelTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class SaveModelTask
    extends AbstractAtlTask

Model saving task.

### Field Summary

Fields
`protected java.lang.String` `factory`
`protected java.lang.String` `model`
`protected java.io.File` `path`
`protected boolean` `setSavedFilesToDerived`
`protected java.lang.String` `uri`

### Fields inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`DEFAULT_LAUNCHER, DEFAULT_MODEL_HANDLER, LAUNCHER_PROPERTY, OPTION_MODEL_HANDLER, OPTION_MODEL_NAME, OPTION_MODEL_PATH, OPTION_NEW_MODEL, RESULT_REFERENCE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`SaveModelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredExtractor​(Extractor extractor)` Adds an extractor.
`void` `execute()`
`java.lang.String` `getFactory()`
`boolean` `isDerived()`
`void` `setDerived​(boolean isDerived)`
`void` `setFactory​(java.lang.String factory)`
`void` `setModel​(java.lang.String model)`
`void` `setPath​(java.io.File path)`
`void` `setUri​(java.lang.String uri)`

### Methods inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`error, error, getDefaultModelFactory, getLauncher, getLauncherName, init, newModel, newModel, newReferenceModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### setSavedFilesToDerived

    protected boolean setSavedFilesToDerived

#### model

    protected java.lang.String model

#### path

    protected java.io.File path

#### uri

    protected java.lang.String uri

#### factory

    protected java.lang.String factory

### Constructor Detail

#### SaveModelTask

    public SaveModelTask()

### Method Detail

#### isDerived

    public boolean isDerived()

#### setDerived

    public void setDerived​(boolean isDerived)

#### setModel

    public void setModel​(java.lang.String model)

#### setPath

    public void setPath​(java.io.File path)

#### setUri

    public void setUri​(java.lang.String uri)

#### getFactory

    public java.lang.String getFactory()

#### addConfiguredExtractor

    public void addConfiguredExtractor​(Extractor extractor)

Adds an extractor.

Parameters:
  `extractor` - the given extractor

#### setFactory

    public void setFactory​(java.lang.String factory)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `AbstractAtlTask`
Throws:
  `org.apache.tools.ant.BuildException`
See Also:
  `AbstractAtlTask.execute()`